# 命令字!lxp
**基本功能：读取linux中的进程列表或者指定的进程信息
**基本语法：!ndx.lxp [-f flags] [-p pid] [-P task_struct Address] [-i ImageName]
## 用法描述
!ndx.lxp命令可以打印当前Linux系统中的所有进程的几乎所有的信息。参数flags会指定打印方式，一共有18种打印方式。例如打印所有进程的详细信息命令为 !ndx.lxp -f 1  （那样会很长），或者直接指定一个进程的pid或进程相关结构体task_struct的Address。该命令是用比特位指定的，假设我们输入的命令是 -f 5 那么则会直接打印该数字直接转换成二进制上所对应的内容，也就是3 和 1.  

例如打印指定进程下的线程的信息：
!ndx.lxp -f 4 -p 1018

打印所有进程的基础信息：
!ndx.lxp -f 0

打印指定进程的详细信息：
!ndx.lxp -f 1 -P 0xffffffc0d08e8000

打印指定进程的时间属性：
!ndx.lxp -f 256 -p 1018

具体用法如下
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_9dbe7d6316c78a4dbbe4d8e0eea6bd18_r.png)

如下图所示，作为测试，我们在GDK8中绑定一个gematrix在1号核心上，再用命令显示其pid。
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_045f46679b1dab2d44296a2049276c8c_r.png)
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_17353168746667e102d83a7c0dc6373d_r.png)

断下CPU之后，我们输入相应的pid 或者task_struct Address 即可进行查询。
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_7332ba20c021362e849b17c15338adca_r.png)

![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_df5aaf77671eebdbda57f00905226e89_r.png)