# 命令字：.allow_image_mapping
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于启用或禁用允许执行特定调试器命令的功能。
**基本用法：**：**.allow_image_mapping**

使用**.allow_image_mapping**命令时，可以传入以下参数之一：

**0**：禁用加载不可信任图像的功能。此参数会限制调试器仅加载认证为可信任的图像文件。
**1**：启用加载不可信任图像的功能。此参数会允许调试器加载来自不可信任源的图像文件。



## 用法描述
默认情况下，**NDB**会限制调试器加载和映射不可信任的图像文件。这是为了防止加载可能被篡改或具有恶意代码的图像。**.allow_image_mapping** 命令可用于控制是否允许加载这些不可信任的图像文件。
## 用例
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_af6fb930727ce8d166cc549e9f45eb8d_r.png)