# 命令字：.chain
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于显示已加载的调试引擎和调试扩展的链表。
**基本用法：**：**.chain**


## 用法描述
使用**.chain**命令可以显示已加载的调试引擎和调试扩展的链表。它将列出每个组件的名称、版本、路径和描述等信息。处理异常情况。
## 用例
以下是`.chain`命令的示例输出：
```
0:000> .chain
Extension DLL chain:
    DIA version 10049
        C:\Program Files (x86)\Windows Kits\10\Debuggers\x86\diagexts.dll
    MEXPLW extension DLL
        C:\Program Files (x86)\Windows Kits\10\Debuggers\x86\mexplw.dll
        API version 1.0.0, built Wed Apr 12 22:03:38 2017
    Pefile extension DLL
        C:\Program Files (x86)\Windows Kits\10\Debuggers\peext.dll
        API version 1.0.0, built Wed Apr 12 22:03:38 2017
```

从输出中可以看到已加载的调试引擎和调试扩展的链表。每个组件都由名称、路径和其他相关信息表示。这些组件提供了额外的功能和特性，可以增强和改善调试会话。

通过查看`.chain`命令的输出，可以了解链表中每个组件的加载顺序和版本信息。这对于调试过程中的问题诊断和分析非常有用。

需要注意的是，`.chain`命令只在**NDB**调试器中有效，用于显示已加载的调试引擎和调试扩展的链表。
.chain