# 命令字：.cxr
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于将当前线程的上下文切换到一个指定的异常处理程序。
**基本用法：**：**.cxr Address**
其中，**Address**是要切换到的异常处理程序的地址。
## 用法描述
通过查看上下文信息，您可以了解当前线程在调试过程中的状态和运行情况。这对于分析软件错误、堆栈跟踪和代码执行路径等问题非常有帮助。

要使用**.context**命令，在**NDB**控制台中键入**.context**，然后按下**Enter**键即可显示当前线程的上下文信息。


## 用例
当发生异常并进入异常处理程序时，您可以使用**.cxr**命令将调试器的上下文切换到特定的异常处理程序，以便查看异常处理程序的执行情况和调试相关问题。

请注意，在使用**.cxr**命令之前，您需要捕获异常并设置异常断点。在异常断点命中后，您可以使用**.cxr**命令切换到异常处理程序。