# 命令字：.dump
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于生成程序的内存转储（memory dump）的命令。内存转储是将程序的内存内容保存到磁盘文件中的过程，可以在调试过程中分析和还原程序的状态。
**基本用法：**：**.dump [选项] <文件路径>**
其中，选项是可选的，用于指定内存转储的类型和细节。常用的选项包括：
- **/ma**：生成完整内存转储，包括程序的代码、数据、堆栈等全部内存内容。
- **/md**：生成小型内存转储，只包括程序的代码段和已加载的模块。
- **/mm**：生成映射内存转储，只包括程序的映射视图。
- **/mf**：生成内存转储到指定文件路径。
## 用法描述

通过指定不同的选项，可以根据需要生成不同类型的内存转储。生成的内存转储文件可以用于后续的分析工作，例如在另一台机器上进行离线调试、故障排查、漏洞分析等操作。

请注意，生成内存转储需要具备足够的访问权限和空间。在生成内存转储时，建议选择合适的选项，以避免生成过大或过小的转储文件。