# 命令字：.dumpcab
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于生成程序的内存转储文件的 **CAB（Cabinet）**格式的命令。**CAB**格式是一种常见的压缩文件格式，可以将多个文件打包成单个文件，方便存储和传输。
**基本用法：**：**.dumpcab <文件路径>**
执行该命令后，**NDB**将生成一个**CAB**文件，其中包含程序的内存转储以及其他相关的调试信息。您需要提供一个文件路径来指定生成的**CAB**文件的保存位置和名称。
其中，选项是可选的，用于指定内存转储的类型和细节。常用的选项包括：
- **/ma**：生成完整内存转储，包括程序的代码、数据、堆栈等全部内存内容。
- **/md**：生成小型内存转储，只包括程序的代码段和已加载的模块。
- **/mm**：生成映射内存转储，只包括程序的映射视图。
- **/mf**：生成内存转储到指定文件路径。

## 用法描述
生成的**CAB**文件可以包含多个文件，其中包括程序内存转储、调试符号文件、堆栈跟踪信息等。这些文件可以在其他机器上进行离线调试，或者与其他人共享以进行故障排查和分析。

请注意，生成**CAB**文件可能需要较长的时间和额外的存储空间，具体取决于程序的大小和调试信息的数量。建议在生成**CAB**文件之前确认有足够的存储空间和权限，并根据需要选择适当的选项和参数。