# 命令字：.echo
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于在命令行界面上显示文本的命令。它在很多操作系统和脚本语言中都有使用。
**基本用法：**：**.echo**

## 用法描述
在脚本语言中，echo命令通常被用于调试或生成输出。具体使用方式和功能可能会根据不同的脚本语言有所差异。

需要注意的是，echo命令的具体用法和受支持的参数可能会因操作系统、命令行解释器或脚本语言而有所不同。请参考相关文档或使用`echo /?`命令来获取更详细的帮助信息。

在大多数操作系统中，使用echo命令可以将指定的文本字符串打印显示到命令行窗口或终端上。可以使用一对引号或单引号将文本包围起来，也可以直接输入文本字符串。
## 用例

下面是几个使用echo命令的示例：
**echo "Hello, World!"           # 在命令行窗口中显示文本 "Hello, World!"
echo 'This is a test.'        # 在命令行窗口中显示文本 "This is a test."
echo My current directory is %CD%  # 输出当前目录的路径**