# 命令字：.ecxr
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于将当前的异常上下文记录（ExceptionContextRecord）作为参数传递给扩展或其他命令。
**基本用法：**：**.ecxr**

## 用法描述
在调试过程中，当出现异常并且调试器陷入断点时，你可以使用**.ecxr**命令获取当前异常的上下文信息。这个上下文信息包含了导致异常的程序状态，例如寄存器的值、堆栈跟踪和异常处理信息等。

使用**.ecxr**命令可以通过提供异常上下文作为参数，将调试器的重点集中在导致异常的代码和数据上，以便更好地分析和理解异常的原因。

需要注意的是，**.ecxr**命令只适用于在异常状态下调试，并且仅在异常发生时才能提供正确的上下文信息。在没有发生异常的情况下使用**.ecxr**命令可能会导致不正确的结果。