# 命令字：.effmach
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于在调试会话中更改目标机器的体系结构。
**基本用法：**：**.effmach < machine >**
其中，< machine >是目标机器体系结构的名称或枚举值。常见的一些枚举值包括：
下面是**.effmach**命令的基本用法：
- **i386:** **Intel x86 32**位体系结构
- **amd64**: **AMD64 / x64 64**位体系结构
- **arm:** **ARM**体系结构
- **arm64:** **ARM64**体系结构

## 用法描述
该命令允许你模拟不同体系结构的目标机器，以便进行交叉体系结构的调试。例如，你可以在**x86**调试器会话中使用**.effmach**命令来切换到**ARM**体系结构，以便调试**ARM**架构的代码。
通过使用**.effmach**命令，你可以在单个**NDB**实例中调试不同体系结构的代码，节省了打开多个调试器实例的时间和精力。

需要注意的是，切换到不同的体系结构后，你需要重新加载和调试适合该体系结构的目标二进制文件。

请记住，在使用**.effmach**命令之前，最好详细了解所选体系结构的调试准则和限制，并参考**NDB**的文档和其他资源以便更好地理解和使用该命令。