# 命令字 .exepath
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于设置或显示目标应用程序的可执行文件路径。可执行文件路径是指在NDB调试会话中查找目标应用程序执行文件的路径。
**基本用法：**：**.exepath**

## 用例
在NDB中，.exepath命令用于设置或显示目标应用程序的可执行文件路径。可执行文件路径是指NDB在调试会话中查找目标应用程序执行文件的路径。

**.exepath**命令有以下几种用法：

**.exepath**：显示当前的可执行文件路径。

**.exepath < path >**：设置目标应用程序的可执行文件路径为指定的路径。

**.exepath+ < path >**：将指定的路径添加到当前的可执行文件路径中。

**.exepath- < path >**：从当前的可执行文件路径中移除指定的路径。

注意：使用**.exepath**命令设置的路径仅在当前调试会话中有效，重新启动NDB后需要重新设置。

通过使用**.exepath**命令，我们可以指定或修改目标应用程序的可执行文件路径，确保NDB能够正确找到并调试所需的应用程序。