# 命令字 .extpath 
**基本功能：**用于设置和显示扩展库的搜索路径。扩展库是一组用于增强**NDB**功能的DLL文件，它们提供了各种调试和分析功能的命令和扩展。
**基本用法：** **.extpath**
**.extpath**：显示当前扩展库的搜索路径。

**.extpath < path >**：设置扩展库的搜索路径为指定的路径。

使用**.extpath**命令可以查看当前扩展库的搜索路径，以及设置新的搜索路径。扩展库通常存储在一个或多个目录中，WinDbg会在这些目录中搜索可用的扩展。通过设置合适的搜索路径，可以确保WinDbg能够找到所需的扩展并加载它们。

请注意，扩展库的搜索路径可以是一个或多个目录的组合。多个目录应使用分号进行分隔。

例如，`.extpath C:\Debuggers\Extensions`将设置扩展库的搜索路径为`C:\Debuggers\Extensions`目录。

通过使用`.extpath`命令，您可以管理和配置**NDB**的扩展库搜索路径，以满足调试和分析的需求。