# 命令字：.flash_on_break
**基本功能：**用于在断点触发时在屏幕上显示一条闪烁的消息。
**基本用法：**

## 用法描述
在调试一个程序时，我们通常会设置断点来暂停程序的执行并允许我们检查程序状态、变量值等信息。而**.flash_on_break**命令可以在程序断点触发时，在屏幕上显示一条闪烁的消息，以提醒我们程序已经暂停并等待我们的操作。

使用**.flash_on_break**命令非常简单，只需在**NDB**的命令行中输入**.flash_on_break**，按回车即可。一旦断点被触发，**NDB**会在屏幕上闪烁一条消息，类似于一个弹窗，以吸引我们的注意。

这个功能在调试复杂程序时非常有用，特别是当程序中存在多个断点时，我们可以更轻松地跟踪程序在断点处的停顿。

需要注意的是，**.flash_on_break**命令仅在Windows XP及更高版本的操作系统上可用，并且仅在图形界面模式下有效。在纯命令行模式下或使用远程调试时，这个命令将不会显示闪烁消息。