# 命令字：.fnret
**基本功能：**用于查找并显示当前函数的放回地址。
**基本用法：** **.fnret**

## 用法描述
在调试一个程序时，了解函数的返回地址对于跟踪程序执行流程和调试逻辑非常有帮助。**.fnret**命令可以在当前函数的上一级栈帧中查找返回地址，并显示该地址的十六进制值。

要使用**.fnret**命令，在**NDB**的命令行中输入**.fnret**，然后按回车。**NDB**将显示当前函数的返回地址，并以十六进制格式呈现。

需要注意的是，**.fnret**命令仅在调试状态下可用，即在程序暂停执行时才能使用。此外，该命令依赖于调试符号的正确加载，以正确解析栈帧和返回地址。