# 命令字 .force_radix_output
**基本功能：**用于强制更改输出的进制形式
**基本用法：** **.force_radix_output**

## 用法描述
在调试过程中，有时需要以不同的进制形式输出值，例如十六进制、十进制或二进制。**.force_radix_output**命令允许你显式地指定输出的进制形式。

**.force_radix_output**命令的语法如下：

**.force_radix_output** 进制

其中，进制可以是以下值之一：
**0x** 或 **hex**：十六进制形式
**dec**：十进制形式
**oct**：八进制形式
**bin**：二进制形式

## 用例
以下是一个示例，演示如何使用**.force_radix_output**命令将输出设置为十进制形式：
**.force_radix_output dec**

在这之后，任何输出的值都将以十进制形式显示。

需要注意的是，**.force_radix_output**命令的效果仅在其之后的命令中生效，直到另一个**.force_radix_output**命令被执行或调试会话结束。