# 命令字 .loadby
**基本功能：**用于加载指定模块的符号文件。
**基本用法：** **.loadby [option] module [path]**
其中，**module**是要加载符号文件的模块名称，**path**是符号文件的路径。
**.loadby**命令有几个可选的选项：
**f**：忽略符号文件的时间戳和校验和，强制加载指定路径的符号文件。
**s**：在符号文件路径中搜索子目录。
**p**：在符号文件路径中搜索父目录。

**.loadby**命令的工作原理如下：
**1.** 首先，调试器会检查当前已加载的模块列表，看是否已经加载了指定模块的符号文件。
**2.** 如果已经加载了符号文件，则不执行任何操作。
**3.** 如果未加载符号文件，则根据选项和路径查找符号文件。
**4.** 如果找到符号文件，则加载它。
**5.** 如果未找到符号文件，则输出错误消息。

.loadby命令的一个常见用法是加载Microsoft符号服务器上的符号文件。例如，可以使用.loadby命令加载ntdll.dll模块的符号文件，命令如下：
.loadby sos ntdll.dll

这个命令会从Microsoft符号服务器下载并加载ntdll.dll模块的符号文件，以便在调试时能够解析该模块的堆栈信息和变量值。

总结一下，.loadby命令是WinDBG调试器中用于加载指定模块的符号文件的命令，它可以根据选项和路径查找符号文件，并加载它们以便在调试时使用。