# 命令字：bl
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于列出当前已设置的所有断点。它将显示每个断点的编号、地址、条件、命中次数等信息。
**基本用法**：**bl**

例如，**bl**命令的输出可能如下所示：
**0 e 01234567 0001 (0001) 0: MyBreakpoint**

## 示例

![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_86101115d0a3e0b3293bb3bcd2d66d7e_r.png)
# 命令字：be
**基本功能**：用于启用断点。通过指定断点的编号或使用特定的选项来执行操作。
**基本用法**：**be <断点编号> [选项]**
**选项**：
**/a <命令>**：将命令与断点相关联，当断点被触发时执行该命令。
**/c [条件]**：设置断点的条件，仅当条件满足时，断点才会触发。
**/d**：删除断点相关的命令或条件。
**/b**：将断点设置为过滤断点，当满足条件时不会生成断点事件。
**/m [回调函数]**：设置断点的回调函数，当断点触发时调用指定的回调函数。
例如，要启用编号为0的断点，可以使用以下命令：
`be 0`
## 示例


# 命令字：bd
**基本功能**：禁用但不会删除以前设置的断点
**基本用法**：**bd <断点编号>**

例如，要禁用编号为0的断点，可以使用以下命令：

`bd 0`
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_9e96fd1763df72300ed1faba6a767432_r.png)

# 命令字：bc
**基本功能**：用于清除所有已设置的断点。执行此命令后，将删除所有断点，并恢复程序的正常执行。
**基本用法**：**bc <断点编号>**
例如，要清除所有已设置的断点，可以使用以下命令：
`bc`
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_208a59d27abb0e069ea50cf8a944f9a1_r.png)