# 命令字：dg
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于显示当前线程的调用栈帧信息，包括函数、参数、源文件、行号等。
**基本用法**：**dg**

## 用法描述
1. 执行**dg**命令后，调试器会显示当前线程的调用栈信息。
2. 在调试器中调试程序时，可以在中断处执行**dg**命令，以查看当前位置的调用栈信息。

**注意事项：**
1. 在执行**dg**命令之前，应确保已启动并加载了调试的程序或内核转储文件。
2. **dg**命令只能显示当前活动线程的调用栈信息。若要查看其他线程的调用栈，请使用`~<线程编号>s`命令切换到相应的线程，然后执行**dg**命令。
3. 调试器必须具有符号和源文件的调试信息，才能正确显示函数名、源文件和行号等信息。

**dg**命令对于了解程序的执行流程、跟踪函数调用堆栈以及定位错误和异常非常有帮助。通过查看调用栈信息，可以快速定位到导致问题的函数或代码行，并提供上下文信息以进一步分析和调试。