# 命令字：dl
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于加载或卸载符号文件。
**基本用法**：**dl <符号文件路径>**

## 用法描述
1. 执行**dl <符号文件路径>**命令可加载指定路径下的符号文件。
2. 若要卸载已加载的符号文件，可以使用**dl ***命令。

注意事项：
1. 在执行**dl**命令前，应确保已启动调试器并加载调试的程序或内核转储文件。
2. 符号文件通常与可执行文件或模块的版本相匹配。确保加载的符号文件版本与正在调试的程序或模块版本匹配，以确保正确解析符号信息。
3. **NDB**还提供了其他命令和设置，如**.sympath**命令用于设置符号文件的搜索路径，以及**.reload**命令用于重新加载已加载的符号文件。


使用**NDB**调试器时，**dl**命令是管理符号文件的重要命令。正确加载符号文件可以提供准确的调试信息，使调试过程更具有可读性和可理解性。通过加载正确的符号文件，我们可以查看函数名、源文件和行号等关键信息，更轻松地理解代码执行流程和定位问题的源头。