# 命令字：.for
**基本功能：**用于执行一个循环来遍历一系列元素或地址
**基本用法：** **.for**
**.for**命令的基本语法如下：
**.for (变量 = 初始值; 终止条件; 步进)
{
    // 循环体
}**
其中，变量是一个临时变量，用于在循环中迭代过程中保存当前的元素或地址。初始值是循环变量的初始值，终止条件是循环终止的条件，步进是循环变量的递增或递减步幅。
## 用例
以下是一个示例，演示如何使用`.for`命令来遍历一个地址范围并输出每个地址的值：


**.for (eax = 0x1000; eax <= 0x2000; eax = eax + 4)
{
    .printf "Address: %p\n", poi(eax)
}**
## 详细描述
在上述示例中，循环从地址**0x1000**开始，每次递增4，直到地址达到或超过**0x2000**时终止。循环体中使用**.printf**命令输出当前地址的值。

需要注意的是，**.for**命令是用于**NDB**调试器的命令，并不是一种通用的编程语言中的循环结构。它仅在调试环境中有效，并不适用于编写实际的程序代码。