# 命令字 .foreach
**基本功能：**用于迭代一个集合，并对集合中的每个袁术执行一组命令。
**基本用法：** **.foreach**

**.foreach**命令的基本语法如下：

**.foreach item {expression}
{
    // 待执行的命令
}**

其中，**item**是迭代变量，可以是任意有效的变量名。**expression**是要迭代的集合表达式，可以是一个寄存器、数组、列表或其他迭代器类型。

在**.foreach**循环中，调试器会将集合中的每个元素分配给迭代变量 **item**，并执行花括号内的命令块（即**.foreach**命令后面的花括号内的命令）。
## 用例
以下是一个示例，演示如何使用**.foreach**命令：
**.foreach (reg {r}) 
{
    .printf "寄存器 %s 的值为 %08x\n", reg, @ reg
}**
@和reg之间没有空格
在上面的示例中，**.foreach**命令用于遍历当前寄存器（**r**）的集合，并将每个寄存器分配给迭代变量 **reg**，然后打印寄存器名称和值。

使用**.foreach**命令可以方便地对集合中的元素进行迭代操作，例如遍历寄存器、数组或其他数据结构，以便进一步分析和调试。