# 命令字： ${ }
**基本功能：**一个美元符号，后跟一对大括号 ( ${ } ) 计算结果为与指定的用户命名别名相关的各种值。
**基本用法：** 
	**Text ${Alias} Text 
    Text ${/d:Alias} Text 
    Text ${/f:Alias} Text 
    Text ${/n:Alias} Text 
    Text ${/v:Alias} Text**
**参数：**
**别名**
指定要展开或计算的别名的名称。 别名必须是用户命名的别名或 **.foreach** 令牌使用的 **Variable** 值。

**/D**
根据当前是否定义了别名，计算结果为 **1** 或 **0**。 如果定义了别名， 则 **${/d：Alias}** 将替换为 **1**;如果未定义别名，则 **${/d：Alias}** 将替换为 **0**。

**/F**
如果当前定义了别名，则计算结果为等效的别名。 如果定义了别名， 则 **${/f：Alias}** 将替换为等效别名;如果未定义别名，则 **${/f：Alias}** 将替换为空字符串。

**/n**
如果当前定义了别名，则计算结果为别名。 如果定义了别名， 则 **${/n：Alias}** 将替换为别名;如果未定义别名，则不替换 **${/n：Alias}** ，但保留其文本值 **${/n：Alias}**。

**/V**
阻止任何别名评估。 无论是否定义了 **Alias** ， **${/v：Alias}** 始终保留其文本值 **${/v：Alias}**。