# 命令字：$$
**基本功能：**如果两个美元符号 **( $ $ )** 出现在命令的开头，则行的其余部分将被视为注释，除非注释以分号结尾。
**基本用法：** **$$ [任何文本]**

## 用法描述
令牌 **$ $** 的解析方式与任何其他调试器命令一样。 因此，如果要在另一个命令之后创建注释，则必须在标记前面 **$$** 加上分号。

该 **$$** 标记将导致忽略它后面的文本，直到行的末尾或遇到分号为止。 分号终止注释;将分号后面的文本解析为标准命令。 这与 *** (注释行说明符)**不同，后者使行的其余部分成为注释，即使存在分号也是如此。

## 示例
例如，以下命令将显示 **eax** 和 **ebx**，但不显示 **ecx**：
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_3314bf3f43bebd9ba7434a5ee6e95df2_r.png)
以 * 或 $$ 标记为前缀的文本不会以任何方式处理。 如果要执行远程调试，在调试服务器中输入的注释在调试客户端中将不可见，反之亦然。 如果要使注释文本以对各方可见的方式显示在调试器命令窗口中，则应使用 **.echo (Echo Comment)** 。