# 命令字：ls
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于列举所有已加载的符号文件。
**基本用法**：**ls**
**参数：**
   示例：
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_2d4fb3d9817fdf321158b0c08b586c35_r.png)

# 命令字：lsa
**基本功能**：用于列举所有已加载的模块及其符号信息。
**基本用法**：**lsa**
**参数：**
   示例：
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_8255675d9c25908d21068356b9319474_r.png)

## 用法描述
**ls**和**lsa**命令都能列举已加载的模块和它们的符号信息，但它们的输出格式略有不同。**ls**命令提供了模块的起始地址和结束地址，而**lsa**命令则提供了模块的全路径。

这些命令对于调试和分析代码非常有用，它们能帮助你了解系统中加载了哪些模块以及它们的符号状态。

请注意，在使用这些命令之前，你需要确保已正确配置符号搜索路径以便**NDB**能够找到并加载符号文件。可以使用"ld"命令加载符号文件或使用".sympath"命令设置符号搜索路径。