# 命令字：lm
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于列举已加载的模块（DLL、驱动程序等）的信息。它可以提供有关模块名称、版本、加载地址和调试状态等的详细信息。
**基本用法**：**lm [Options]**
**参数：**
常用的"lm"命令选项包括：
**-n**：按模块名称排序列出模块。按默认顺序列出模块时，它们按照它们被加载的顺序来显示。
**-v**：包括每个模块的版本信息。
**-m**：仅显示模块名称。
## 示例:
以加载调试GDK3为例
##### **lm**：列举所有已加载模块的基本信息。
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_f2a57f8a74b0adc3089b46dc7e5865c4_r.png)

##### **lm -n**：按模块名称排序列举所有已加载模块的信息。
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_be8eb345920db39032d1628a9224950b_r.png)


##### lm -v：列举所有已加载模块的信息，并包括版本信息。
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_1822408e39a1eaeba9f13d42a88443ba_r.png)

##### lm -m
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_7ffea7f25abce21a2cc217a46134ac5a_r.png)

## 用法描述
"lm"命令用于查看已加载的模块，它提供有关模块名称、起始地址、结束地址以及可选的版本信息。这对于调试和分析代码很有用，因为它使你能够了解系统中加载了哪些模块以及它们的基本信息。

请注意，"lm"命令也可与其他选项结合使用，以满足特定需求。可以通过在**NDB**中输入"lm -?"