# 命令字：ln
**基本功能**：查找指定地址或模块的符号名称和行号信息。注意，这需要已加载正确的符号文件才能提供详细的符号信息。
**基本用法**：**ln Address**
**参数：**
示例用法：

**ln Address**：查找指定地址的符号名称和行号信息。

**0:000> ln 00007ff612345678
(00007ff612345678)   MyModule!MyFunction+0x1: 
C:\path\to\MyModule.cpp @ 123: void MyFunction()**


**ln ModuleName!SymbolName**：查找指定模块和符号的行号信息。

**0:000> ln MyModule!MyFunction
(00007ff612345678)   MyModule!MyFunction+0x1: 
C:\path\to\MyModule.cpp @ 123: void MyFunction()**

## 用法描述
**"ln"**命令的输出提供了符号名称、偏移地址和行号信息。它显示了代码行号以及代码所在的文件路径和函数名称。这对于定位代码问题和了解代码执行的上下文非常有用。

注意，为了正确使用**"ln"**命令，你需要确保已正确加载和配置符号文件。使用**"ld"**命令加载符号文件，或使用符号路径设置符号搜索路径（**.sympath**命令）。

如果没有正确加载符号文件，**"ln"**命令将无法提供详细的符号信息，只能提供加载地址。