# 命令字：x
**基本功能**：用于在内存中查找指定模式的数据。它可以帮助你分析内存中的数据结构、变量值或者特定代码模式的出现。
**基本用法**：
**x [Options] Module!Symbol 
x [Options] ***
**参数：**
**Opions**
指定符号搜索选项。 可以使用以下一个或多个选项：

**/0**
仅显示每个符号的地址。

**/1**
仅显示每个符号的名称。

**/2**
仅显示每个符号的地址和名称， (不显示数据类型) 。

**/D**
使用 调试器标记语言显示输出。

**/t**
如果数据类型已知，则显示每个符号的数据类型。

**/V**
显示符号类型 (每个符号的本地、全局、参数、函数或未知) 。 此选项还显示每个符号的大小。 函数符号的大小是内存中函数的大小。 其他符号的大小是符号表示的数据类型的大小。 大小始终以字节为单位，以十六进制格式显示。

**/s Size**
仅显示大小（以字节为单位）等于 **Size** 值的符号。 函数符号 的大小 是内存中函数的大小。 其他符号 的大小 是符号表示的数据类型的大小。 始终显示无法确定其大小的符号。 **Size** 必须为非零整数。

**/P**
当调试器显示函数名称及其参数时，省略左括号前的空格。 如果要将函数名称和参数从 x 显示器复制到另一个位置，则这种显示会更容易。

**/F**
显示函数的数据大小。

**/D**
显示数据的数据大小。

**/a**
按地址按升序对显示进行排序。

**/A**
按地址按降序对显示进行排序。

**/n**
按名称按升序对显示进行排序。

**/N**
按名称按降序对显示进行排序。

**/Z**
按大小按升序对显示进行排序。

**/Z**
按大小按降序对显示进行排序。

**Module**
指定要搜索的模块。 此模块可以是**.exe**、**.dll**或**.sys**文件。 模块 可以包含各种通配符和说明符。 有关语法的详细信息，请参阅 字符串通配符语法。

**Symbol**
指定符号必须包含的模式。 符号 可以包含各种通配符和说明符。 有关语法的详细信息，请参阅 字符串通配符语法。

由于此模式与符号匹配，因此匹配不区分大小写，并且单个前导下划线 **(_)** 表示任意数量的前导下划线。 可以在 **Symbol** 中添加空格，以便指定包含空格的符号名称 (，例如**“operator new”**或**“Template<A， B>”**) 而不使用通配符。

## 示例：
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_41bdb9445ab094cc7f1334efc2743317_r.png)
## 用法描述
**"x"**命令对于查看内存中的数据非常有用，可以帮助你在调试过程中分析程序的内部状态，查找特定模式或检查数据结构。根据你的需求，你可以使用不同的选项来灵活使用该命令。