# 命令字：ob
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于以字节（**byte**）为单位显示内存的内容。
**基本用法**：**ob Address [Length]**
**参数：**
示例用法：
**ob 0x12345678**：显示指定地址的字节内容。
**ob 0x12345678 32**：显示指定地址开始的 32 个字节内容。

# 命令字：ow
**基本功能**：用于以字（**word**）为单位显示内存的内容（每个字为 2 字节）。
**基本用法**：**ow Address [Length]**
**参数：**
示例用法：
**ow 0x12345678**：显示指定地址的字内容。
**ow 0x12345678 16**：显示指定地址开始的 16 个字内容。

# 命令字：od
**基本功能**：于以双字（**double word**）为单位显示内存的内容（每个双字为 4 字节）。
**基本用法**：**od Address [Length]**
**参数：**
示例用法：
**od 0x12345678**：显示指定地址的双字内容。
**od 0x12345678 8**：显示指定地址开始的 8 个双字内容。

## 用法描述
这些命令可以帮助你以不同的数据类型查看内存中的内容。通过指定起始地址和长度，你可以查看不同类型的数据（字节、字或双字）以及它们的十六进制表示。这对于调试和分析程序的内存数据非常有用。

请注意，在使用这些命令之前，确保已正确加载符号文件并了解所查看内存的数据类型。