# 命令字：ah
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：控制特定地址的断言处理状态。
**基本用法**：
**ahb [Address]
ahi [Address]
ahd [Address]
ahc
ah**
**参数：**
**ahb**
如果指定地址处的断言失败，则中断调试器。

**ahi**
忽略指定地址处的断言失败。

**ahd**
删除指定地址处的任何断言处理信息。 此删除会导致调试器返回到该地址的默认状态。

**地址**
指定正在设置其断言处理状态的指令的地址。 如果省略此参数，调试器将使用当前程序计数器。

**ahc**
删除当前进程的所有断言处理信息。

**ah**
## 用法描述
显示当前的断言处理设置。
**ah\\***命令控制特定地址的断言处理状态。 **sx*** **asrt** 命令控制全局断言处理状态。 如果将 **ah\\***某个地址，然后在那里出现断言，则调试器将根据 **ah\\*** 设置进行响应，并忽略 **sx*** **asrt** 设置。

当调试器遇到断言时，调试器首先检查是否已为该特定地址配置了处理。 如果尚未配置处理，调试器将使用全局设置。

**ah\\*** 命令仅影响当前进程。 当前进程结束时，所有状态设置都将丢失。

断言处理状态仅影响**STATUS_ASSERTION_EXCEPTION**异常。 此处理不会影响内核模式 **ASSERT** 例程