# 命令字：dv
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于显示或修改变量的值。
**基本用法**：**dv [/t <类型>] [/r] <变量名称>**
## 用法描述
1. 执行**dv <变量名称>**命令可显示指定变量的值。
2. 若要修改变量的值，可以使用**dv <变量名称> = <新值>**命令。注意，只有符合条件的变量才能被修改。
3. 使用**/t**选项，可以指定显示变量的类型。
4. 使用**/r**选项，可以通过引用方式显示变量的值。

**注意事项：**
1. 在执行**dv**命令前，应确保已启动调试器并加载调试的程序或内核转储文件。
2. **dv**命令对于本地变量和全局变量都适用，但要注意变量的作用域。
3. 若指定的变量有多个实例，**dv**命令只会显示最近定义的实例的值。使用**dv <变量名称>?**可以显示所有实例的值。

**dv**命令允许你查看和更改变量的值，这对于理解程序执行过程中的数据状态、调试代码和定位问题都是非常有帮助的。通过查看变量值，你可以检查数据是否按预期进行操作，找到导致问题的变量，并使用变量的值进行条件断点等调试操作。