# 命令字：p
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于以字节（byte）为单位显示内存的内容。
**基本用法**：**p Symbol**
**参数：**

示例用法：
**p MyNamespace::MyClass::myVariable**：显示指定符号的地址和类型信息。

# 命令字：pa
**基本功能**：用于显示当前程序的所有符号地址和类型信息。
**基本用法**：**pa**
**参数：**
示例用法：
**pa**：显示当前程序的所有符号地址和类型信息。

# 命令字：pc
**基本功能**：用于显示指定符号的函数调用图。
**基本用法**：**pc Symbol**
**参数：**
示例用法：
**pc MyNamespace::MyFunction**：显示指定符号的函数调用图。


# 命令字：pt
**基本功能**：用于显示当前线程的堆栈帧和函数调用信息。
**基本用法**：**pt**
**参数：**
示例用法：
**pt**：显示当前线程的堆栈帧和函数调用信息。


## 用法描述
这些命令提供了不同方式的符号信息查看。你可以使用**"p"**命令查看单个符号的地址和类型信息，**"pa"**命令查看所有符号的地址和类型信息，**"pc"**命令查看函数调用图，以及**"pt"**命令查看当前线程的堆栈帧和函数调用信息。

这些命令对于调试和分析程序非常有用，可以帮助你了解代码中的符号信息、函数调用关系和堆栈信息。

请注意，对于这些命令，确保已正确加载并配置符号文件，以便获取正确的符号信息。