# 命令字：rm
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于移除一个在指定地址处设置的软件断点。软件断点是调试器在执行过程中暂停程序执行的一种方式。移除软件断点后，程序将继续正常执行。
**基本用法**：**rm Address**
示例用法：
**rm 0x12345678**：移除位于**0x12345678**地址处的软件断点。


## 用法描述
rm命令只能移除调试器设置的软件断点，而不能移除硬件断点或其他类型的断点。

使用"bl"命令可以列出当前已设置的断点，包括软件断点和硬件断点。通过查看断点列表，可以确定要移除的断点的地址，然后使用"rm"命令进行移除。