# 命令字：t
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：显示当前调试会话中的所有线程以及其状态。
**基本用法**：**t thread_id**
**参数：**
**"t"**：列出所有线程的编号、线程ID、优先级、线程状态等详细信息。
**"t thread_id"**：切换到指定线程。示例：**t 1234**。

# 命令字：ta
**基本功能**：显示和修改线程亲和性，即线程将在哪个CPU上执行。
**基本用法**：
**"ta"**：列出当前调试会话中的所有线程及其所在的CPU编号。
**"ta thread_id cpu_number"**：将指定线程设置在指定的CPU上执行。示例：ta 1234 0。

# 命令字：tb
**基本功能**：显示线程所处的阻塞状态和原因。
**基本用法**：
**tb**：列出当前调试会话中的所有线程的阻塞位置和原因。
**tb thread_id**：列出指定线程的阻塞位置和原因。示例：**tb 1234**。

# 命令字：tc
**基本功能**：显示线程的寄存器上下文信息。
**基本用法**
**tc**：显示当前线程的寄存器上下文信息。
**tc thread_id**：显示指定线程的寄存器上下文信息。示例：**tc 1234**。

# 命令字：tct
**基本功能**：显示线程的CPU时间信息，包括用户模式和内核模式的时间。
**基本用法**
tct：显示当前调试会话中的所有线程的CPU时间信息。
tct thread_id：显示指定线程的CPU时间信息。示例：tct 1234。

# 命令字：th
**基本功能**：显示线程的句柄信息。
**基本用法**
**th**：显示当前调试会话中的所有线程的句柄信息。
**th thread_id**：显示指定线程的句柄信息。示例：**th 1234**。

# 命令字：tt
**基本功能**：显示线程的函数调用栈信息
**基本用法**
tt：显示当前线程的函数调用栈信息。
tt thread_id：显示指定线程的函数调用栈信息。示例：tt 1234。

## 用法描述
这些线程相关的命令在调试过程中非常有用，可用于查看、管理和控制线程的状态、寄存器上下文、阻塞位置、CPU时间、函数调用栈信息等。通过使用这些命令，你可以深入了解程序中不同线程的状态和行为，从而更有效地进行调试和故障排除。