# 命令字：z
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于在内存中搜索特定模式并显示匹配结果的地址。它可以帮助你定位内存中的特定数据或代码的位置。
**基本用法**：**z [options] address pattern**
**参数**:：
通过**"address"**参数指定要开始搜索的内存地址，通过**"pattern"**参数指定要搜索的模式。

**b**：按字节为单位进行搜索。
**w**：按字（2个字节）为单位进行搜索。
**d**：按双字（4个字节）为单位进行搜索。
**q**：按四字（8个字节）为单位进行搜索。
**s**：按字符串进行搜索。

示例：

**z 0x00400000 0x11223344**

以上命令将搜索从地址**0x00400000**开始的内存，查找是否存在模式为**0x11223344**的数据，并显示匹配结果的地址。

**z /s 0x00400000 "Hello, World!"**

以上命令将搜索从地址**0x00400000**开始的内存，查找以字符串**"Hello, World!"**开头的字符串，并显示匹配结果的地址。

## 用法描述
"z"命令对于在调试过程中定位内存中特定模式的位置非常有用。你可以根据需要使用不同的选项和模式来执行搜索，并找到感兴趣的数据或代码的地址。