# 命令字：~
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于列出并操作调试会话中当前存在的线程。它可以显示线程的状态、线程的调试寄存器和线程的堆栈。
**基本用法**：**~[Option]**


示例：
```
~                   // 列出所有线程的摘要信息
~2s                 // 切换到线程号为2的线程并列出其堆栈信息
~3f                 // 切换到线程号为3的线程并列出其调试寄存器信息
```
**参数**:：
**"Option"**可以是以下几种情况：
不加任何参数：显示所有线程的摘要信息。每一行显示线程号（TID）、线程所属进程（PID）、线程优先级、线程状态以及线程的当前指令地址。
**s**：显示当前线程的堆栈信息。
**f**：显示当前线程的调试寄存器情况。

#命令字：~#s
**基本功能**:列出所有线程的摘要信息并显示各自的堆栈信息。这个命令常用于快速查看所有线程的堆栈信息以进行调试和问题分析。

示例：
```
~#s                 // 列出所有线程的摘要信息并显示各自的堆栈信息
```

## 用法描述
通过使用"~"命令和相关参数，可以在调试会话中查看和切换线程，以及获取线程的堆栈和寄存器情况。这对于多线程程序的调试和分析非常有帮助。