# 命令字：.allow_exec_cmds
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于启用或禁用允许执行特定调试器命令的功能。
**基本用法：**：**.allow_exec_cmds**

使用 **.allow_exec_cmds** 命令时，可以传入以下参数之一：

**0**：禁用执行命令功能。此参数会禁止执行那些可能会对系统产生危险影响的命令。
**1**：启用执行命令功能。此参数会允许执行所有调试器命令，包括可能不受支持或危险的命令。



## 用法描述
默认情况下，**NDB**禁用了某些会对系统产生危险影响或不受支持的命令。这些命令可能会破坏调试器的稳定性或导致系统崩溃。**.allow_exec_cmds** 命令可用于控制是否允许执行这些命令。
## 用例
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_1d6f58fe8fec4a2d9e6aafc0624e0e98_r.png)