# 命令字：.asm
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于反汇编指定地址的机器代码，并以可读的汇编指令形式显示。
**基本用法：**：**.asm [/c] [/A[address]] [/u] [/d]**

其中可选参数包括：

**/c**：用于显示伪代码（如果有）。
**/A[address]**：指定反汇编的起始地址，默认为当前指令地址。
**/u**：强制显示未经汇编的指令。
**/d**：以16进制字节码形式显示指令。


## 用法描述
.asm 命令的输出将显示指令的地址、机器代码和对应的汇编指令。这对于分析程序的执行路径、查找漏洞和理解代码逻辑非常有用。
## 用例
.asm：反汇编当前指令的机器代码。
.asm /A 0x00400000：从指定地址开始反汇编代码。
.asm /c /A 0x00401000：反汇编并显示伪代码，从指定地址开始。