# 命令字：.attach
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于将调试器附加到一个正在运行的进程上，以便进行远程调试或监视进程的执行状态。
**基本用法：**：**.attach [ProcessID | ProcessName [KernelObject]]**



## 用法描述
在使用**.attach**命令之前，确保已打开**NDB**，并且以管理员身份运行。此外，你需要确保目标进程是运行中的，并且对调试器可见。
一旦成功附加到目标进程，你就可以使用**NDB**的其他命令来监视和调试该进程，例如设置断点、查看寄存器状态、分析内存等。完成调试后，可以使用**.detach**命令从目标进程中分离调试器
## 用例
**.attach 1234**：将调试器附加到进程**ID**为**1234**的进程。
**.attach notepad.exe**：将调试器附加到名为**notepad.exe**的进程。
**.attach calc.exe KernelObject**：将调试器附加到名为**calc.exe**的进程，并附加到内核对象。