# 命令字：.bpcmds
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于显示或管理与断点相关的命令列表。
**基本用法：**：**.bpcmds [/c] [/v] [/a] [BreakpointID]**
**/c**：清除所有断点命令。
**/v**：显示详细的断点命令信息。
**/a**：显示与所有断点关联的命令。
**BreakpointID**：**显示与指定断点关联的命令。


## 用法描述
使用**.bpcmds**命令可以了解已定义的断点命令，并且可以使用其他命令（如**.bc**、**.bpmd**等）来创建、修改或删除断点命令。断点命令可以用来在触发断点时执行自定义的脚本或命令，以帮助调试人员自动化调试过程，收集信息或执行其他操作。
## 用例
**.bpcmds**：显示当前已定义的所有断点的命令列表。
**.bpcmds /v**：显示详细信息，包括命令的位置、触发条件等。
**.bpcmds /a**：显示与所有断点关联的命令。
**.bpcmds 1**：显示与断点ID为1的断点关联的命令。