# 命令字：.bpcmds
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于显示蓝屏错误代码（Bugcheck code）的详细信息。
**基本用法：**：**.bugcheck**


## 用法描述
当Windows系统遇到严重的错误或异常情况时，可能会导致操作系统崩溃并显示蓝屏。在蓝屏中，会包含一个错误代码，也称为Bugcheck code。这个错误代码对于调试和分析系统崩溃非常重要，它可以提供关于崩溃原因和可能引起崩溃的模块的线索。

使用`.bugcheck`命令可以在**NDB**中获取关于Bugcheck code的更详细信息，包括错误类型、错误描述和可能的原因。命令的使用方法如下：

执行该命令后，**NDB**会解析当前调试会话中引发的最近一次蓝屏错误，并显示相关的详细信息。

通过查看Bugcheck code的详细信息，开发人员可以更好地理解系统崩溃的原因，并采取相应的调试或修复措施。这有助于识别和解决系统崩溃导致的问题，提高系统的稳定性和可靠性。

需要注意的是，`.bugcheck`命令必须在发生蓝屏后进行调试时才能使用，并且需要先在**NDB**中加载相应的调试符号文件才能正确解析Bugcheck code。