# 命令字：.cache
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于控制和管理调试文件缓存。
**基本用法：**：**.cache**
以下是**.cache**命令的一些常用选项：

**.cache reset:** 重置调试文件缓存，清除缓存中的所有文件。
**.cache clear:** 清除调试文件缓存中没有被使用的文件。
**.cache forcedecode:** 强制解码缓存中的所有源代码文件，以便在调试过程中能够查看源代码。
**.cache reload:** 重新加载调试文件缓存中所有已经加载的调试文件。
**.cache*:** 显示当前的调试文件缓存状态和选项。


## 用法描述
通过使用**.cache**命令，开发人员可以管理调试文件缓存，确保所需的调试文件被正确加载和缓存，以提高调试的效率和准确性。这在调试大型程序或进行长时间调试时尤为有用，可以避免重复加载和解析调试文件，节省时间和资源。

需要注意的是，**.cache**命令需要在调试会话中使用，并且在执行其他调试操作之前，最好确保调试文件已经被正确加载和缓存。