# 命令字：.childdbg
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于设置或显示子进程的调试器状态。
**基本用法：**：**.childdbg [选项]**

**.childdbg**命令的选项包括：

**Automatic**：表示子进程将自动附加到调试器中进行调试。这是默认选项。
**Manual**：表示子进程不会自动附加到调试器中。你可以手动使用**.attach**命令将需要调试的子进程附加到调试器中。
**No**：表示取消子进程调试器的设置，子进程不会被自动附加到调试器中进行调试。

## 用法描述
使用**.childdbg**命令可以灵活控制调试器对子进程的附加行为，使你能够更好地处理和调试整个进程及其子进程的情况。

需要注意的是，**.childdbg**命令只在**NDB**调试器中有效，并且影响当前调试会话中的子进程调试设置。

## 用例
以下是一些示例用法：

- 设置子进程自动附加：`.childdbg Automatic`
- 设置子进程手动附加：`.childdbg Manual`
- 取消子进程调试器设置：`.childdbg No`
- 显示当前子进程调试器状态：`.childdbg`