# 命令字：.clients
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于显示与调试器会话相关联的客户端描述符。客户端描述符是一种唯一标识符，用于标识连接到调试会话的客户端。
**基本用法：**：**.clients**

## 用法描述
当**NDB**作为调试服务器运行时，客户端可以连接到该服务器以进行远程调试。**.clients**命令可用于列出所有当前连接到调试服务器的客户端。


## 用例
使用**.clients**命令可以查看以下信息:
- 客户端描述符：每个客户端都有一个唯一的描述符。
- 描述符类别：标识客户端的类型，例如本地客户端、远程客户端或通过**Internet**连接的客户端。
- 客户端类型：指定客户端使用的调试器类型，如**NDB**、**CDB**或**NTSD**。
- 连接状态：显示客户端的连接状态，包括“已连接”、“已断开”或“正在连接”。
- 客户端标识：提供与客户端相关的其他信息，如客户端的**IP**地址、计算机名称或进程标识符。