# 命令字：.context
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于显示当前线程的上下文信息。
**基本用法：**：**.context**

## 用法描述
通过查看上下文信息，您可以了解当前线程在调试过程中的状态和运行情况。这对于分析软件错误、堆栈跟踪和代码执行路径等问题非常有帮助。

要使用**.context**命令，在**NDB**控制台中键入**.context**，然后按下**Enter**键即可显示当前线程的上下文信息。


## 用例

执行**.context**命令会显示当前线程的上下文信息，包括：

- 寄存器值：显示**CPU**寄存器的当前值，如**EAX**、**EBX**、**ECX**等。
- 堆栈指针（**ESP/RSP**）：指向当前线程的堆栈顶部的指针。
- 基指针（**EBP/RBP**）：指向调用函数时的堆栈帧基址的指针。
- 指令指针（**EIP/RIP**）：指向当前线程正在执行的机器指令的地址。
- 标志寄存器（**EFLAGS/RFLAGS**）：包含各种条件标志和控制位的寄存器。