# 命令字 .enumtag
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于列举一个结构体或对象的成员和字段信息的命令。
**基本用法：**：**.enumtag [/r] [/c] [/s] [/f] [/l] TypeName**
其中：

**/r**：递归显示所有成员和字段的信息，包括嵌套结构体或对象的成员。
**/c**：显示成员的类别（类型）信息。
**/s**：显示成员的偏移量（在结构体中的位置）信息。
**/f**：显示成员的访问标志（例如，private、protected、public）信息。
**/l**：列出本地数据类型的标记，而不是全局。

**TypeName**是要列举的结构体或对象的类型名称。

## 用例
```c
struct MyStruct
{
    int foo;
    char bar;
    float baz;
};
```

我们可以使用**.enumtag**命令来列举**MyStruct**的成员信息：

```
.enumtag MyStruct
```

该命令将会显示结构体**MyStruct**的成员名称、类型、偏移量和访问标志等信息。