# 命令字 .fiber
**基本功能：**用于显示当前活动的纤程（Fiber）的详细信息。
**基本用法：** **.fiber**


## 用法描述
纤程是一种轻量级的执行单位，类似于线程，但比线程更轻量级。纤程在同一个进程内共享同一个地址空间，可以在同一个线程内进行多个纤程之间的切换。与线程相比，纤程的切换开销更小，因此在某些场景下可以提供更好的性能和资源利用。

要使用`.fiber`命令，在**NDB**的命令行中输入`.fiber`，然后按回车。**NDB**将显示当前活动的纤程的信息，包括纤程的唯一标识符、所属的线程、栈指针、纤程状态等。这些信息对于调试和分析使用纤程的应用程序非常有用。

总结起来，`.fiber`命令是**NDB**中一个用于显示当前活动纤程信息的调试命令，可以帮助开发人员在调试过程中了解纤程的状态和属性。