# 命令字 .formats
**基本功能：**用于显示一个或多个地址或表达式的格式化输出。
**基本用法：** **.formars**
## 用法描述
在调试过程中，有时需要以不同的格式查看指定地址或表达式的值，例如十六进制、十进制、ASCII字符等。**.formats**命令提供了一种方便的方式来实现这样的输出格式转换。
**.formats**命令的基本语法如下：

**.formats 格式 参数**

其中，格式是要应用的输出格式，可以是以下之一：
**h**：十六进制形式
**d**：十进制形式
**u**：无符号十进制形式
**c**：字符形式
**s**：以空字符结尾的字符串
参数是要格式化的地址或表达式。可以一次指定多个地址或表达式。

## 用例

以下是一个示例，演示如何使用**.formats**命令以不同的格式输出一个指定的地址：
**.formats h d u c s 0x1000**

在上述示例中，**.formats**命令将以十六进制、十进制、无符号十进制、字符和字符串形式输出地址**0x1000**的值。

需要注意的是，**.formats**命令的默认输出格式是十六进制形式。可以根据需要在命令中指定不同的输出格式。

总结：**.formats**命令是**NDB**调试器中的一个命令，用于显示一个或多个地址或表达式的格式化输出。它允许以不同的格式输出指定地址或表达式的值，包括十六进制、十进制、字符和字符串形式。