# 命令字 .fpo
**基本功能：**用于显示和操作函数调用帧的**FPO（Frame Pointer Omission）**信息。
**基本用法：** **.fpo [/x] 函数名或地址**

其中，函数名或地址是要查看FPO信息的函数的名称或起始地址。

使用**/x**参数可以在显示FPO信息时包括详细的十六进制显示。
## 用例

以下是一个示例，演示如何使用**.fpo**命令查看一个函数的FPO信息：
**.fpo MyFunction**


在上述示例中，**.fpo**命令将显示名为**MyFunction**的函数的FPO信息。
## 用法描述
FPO是一种在函数中省略帧指针以优化执行性能的技术。FPO信息定义了函数的参数、局部变量和调用帧的布局，以及函数中使用的寄存器等相关信息。
需要注意的是，**.fpo**命令只能在有调试符号的情况下使用，用于分析可执行文件或调试器符号文件中的函数。