# 命令字 .frame
**基本功能：**用于切换当前堆栈的活动帧
**基本用法：** **.frame [/c] [/r] [/p] 帧索引**
其中，帧索引是指定要切换到的帧的索引号。索引号从0开始，表示最新的（当前）帧。
使用**.frame**命令可以进行以下操作：
**/c**：在切换帧后继续执行程序，可以继续执行或单步调试。
**/r**：显示并切换到指定帧的更高级堆栈帧。
**/p**：直接切换到指定帧，不显示其他信息。
## 示例
以下是一些示例，演示如何使用**.frame**命令：
**.frame**：显示当前活动帧的信息。
**.frame 3**：切换到索引为3的帧。
**.frame /c 1**：切换到索引为1的帧并继续执行程序。

## 用法描述
在调试过程中，当程序遇到断点或异常时，调试器会停在相应的位置，此时可以使用**.frame**命令来查看和操作调用栈的不同帧。

需要注意的是，**.frame**命令只能用于已经暂停执行的程序，在调试状态下有效。