# 命令字 .idle_cmd
**基本功能：**用于在调试会话处于空闲状态时执行指定的命令
**基本用法：** **.idle_cmd 命令1; 命令2; ...**
其中，命令1、命令2等是要在空闲状态下执行的命令列表，每个命令之间使用分号分隔。


## 示例
以下是一个示例，演示如何使用**.idle_cmd**命令：

**.idle_cmd .printf "Debugger is idle."; .echo "Performing idle tasks."; g**


在上面的示例中，当调试器处于空闲状态时，**.printf**命令会打印出一条消息，然后**.echo**命令将显示另一条消息，并最后使用**g**命令继续执行程序。

## 用法描述
在调试过程中，当没有其他活动或输入时，可以使用**.idle_cmd**命令设置一个或多个命令，以在调试器处于空闲状态时自动执行。
使用**.idle_cmd**命令可以自动执行一系列命令，例如执行自动化任务、记录数据或执行自定义操作。它对于在调试器空闲时进行自动处理非常有用。