# 命令字 .lastevent
**基本功能：**用于显示最近的事件信息。
**基本用法：** **.lastevent**


## 示例
例如，以下是使用**".lastevent"**命令获取的示例输出：

```
Last event:  Exception
    Last event originated from TID: 1234
    Last event received at FOO.DLL+0x12345678
    Exception code: 0xc0000005 (Access violation)
    Exception address: 0x00000000`00000000
```
在这个示例中，最近发生的事件是一个异常，包括异常代码、异常地址，以及发生事件的线程和模块等相关信息。
## 用法描述
**".lastevent"**是**NDB**调试器中的一个命令，用于显示最近的事件信息。

执行该命令后，**NDB**会输出关于最近事件的详细信息，包括事件类型、发生时间、相关进程和线程的信息以及其他与事件相关的数据。

在调试过程中，操作系统和应用程序会触发各种事件，例如异常、断点命中、线程创建或销毁等。通过使用**".lastevent"**命令，可以查看最近发生的事件，并获取相关信息。

**".lastevent"**命令常用于调试过程中的事件追踪和问题排查。通过查看最近的事件信息，我们可以分析程序崩溃或异常的原因，定位问题发生的位置，并进一步调试和修复代码。

除了**".lastevent"**命令外，**NDB**还提供了其他用于获取和处理事件信息的命令，如**".ecxr"**用于将当前线程上下文设置为最后一个异常的关联线程上下文等。这些命令可以帮助开发人员更好地理解和处理调试过程中的事件。