# 命令字：m
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：查看指定内存地址的内容。你可以指定要查看的内存范围和显示格式，并可以选择以不同的方式显示内存内容。
**基本用法**：**m Address [Options]**
**参数：**
**m Address**：查看指定内存地址的内容。默认显示 16 字节 (4 个 DWORD)。
示例用法：
**0:000> m 0x12345678
12345678  12 34 56 78 90 AB CD EF-12 34 56 78 90 AB CD EF  .4Vx............**


**m Address L Length**：查看指定长度的内存内容。可以使用字节数或指定单位（例如 "B"、"KB"、"MB"）。
示例用法：

**0:000> m 0x12345678 L 32
12345678  12 34 56 78 90 AB CD EF-12 34 56 78 90 AB CD EF  .4Vx............
12345688  12 34 56 78 90 AB CD EF-12 34 56 78 90 AB CD EF  .4Vx............**

**m Address Value**：将指定内存地址的内容修改为指定的值。注意，当修改内存内容时需要谨慎操作。

**0:000> m 0x12345678 0xCC
12345678  CC 34 56 78 90 AB CD EF-12 34 56 78 90 AB CD EF  .4Vx............**


**m Address:**：以指定格式显示内存内容。
   格式选项包括：
**a**：ASCII 字符显示。
**b**：显示字节。
**w**：显示字（16 位）。
**d**：显示双字（32 位）。
**q**：显示四字（64 位）。
**f**：以浮点数格式显示。
     **s**：以指定的符号格式显示。
   示例：**m 0x12345678:q**

## 用法描述
"m"命令允许你检查内存中的数据，查看其内容以及进行修改。这对于调试和分析代码非常有用，帮助你了解程序的内存布局和数据结构。

请注意，修改内存内容可能会导致不可预料的结果，需要谨慎操作，并且足够理解代码和应用程序的内存结构。