# 命令字：d系列扩展
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**d**系列命令的扩展，用于在处理器级别和内存分页层次结构的不同层面上显示和分析数据。下面是对这些命令的详细解释：
# 命令字：dda
**基本功能**：显示以物理地址方式查看的内存数据。
**基本用法**： **dda <地址>**：

   **参数**：
     **<地址>**：要以物理地址方式查看的内存地址。
   示例：**dda 0x12345678**：显示以物理地址方式查看**0x12345678**地址的内存数据。
# 命令字：ddp
**基本功能**：显示以进程上下文方式查看的内存数据。
**基本用法**： **ddp <地址>**：

   **参数**：

   **<地址>**：要以进程上下文方式查看的内存地址。
   示例：**ddp 0x12345678**：显示以进程上下文方式查看**0x12345678**地址的内存数据。

# 命令字：ddu
**基本功能**：显示以用户模式下查看的内存数据。
**基本用法**： **ddu <地址>**：

   **参数**：
   **<地址>**：要以用户模式下查看的内存地址。
   示例：**ddu 0x12345678**：显示以用户模式下查看**0x12345678**地址的内存数据。
# 命令字：dpa
**基本功能**：显示以物理地址方式查看的页表项
**基本用法**： **dpa <地址>**：
   **参数：**
   **<地址>**：要以物理地址方式查看的页表项地址。
   示例：**dpa 0x12345678**：显示以物理地址方式查看**0x12345678**地址的页表项。

# 命令字：dpu
**基本功能**：显示以用户模式下查看的页表项
**基本用法**： **dpu <地址>**：
   **参数：**
   **<地址>**：要以用户模式下查看的页表项地址。
   示例：**dpu 0x12345678**：显示以用户模式下查看**0x12345678**地址的页表项。

# 命令字：dpp
**基本功能**：显示以进程上下文的方式查看的页表项
**基本用法**： **dpu <地址>**：
   **参数：**
   **<地址>**：要以进程上下文方式查看的页表项地址。
   示例：**dpp 0x12345678**：显示以进程上下文方式查看**0x12345678**地址的页表项。

# 命令字：dpa
**基本功能**：显示以物理地址方式查看的物理分页池的数据
**基本用法**： **dqa <地址>**：
   **参数：**
   **<地址>**：要以物理地址方式查看的物理分页池地址。
   示例：**dqa 0x12345678**：显示以物理地址方式查看**0x12345678**地址处物理分页池的数据。

# 命令字：dpp
**基本功能**：显示以进程上下文方式查看的物理分页池的数据
**基本用法**： **dqp <地址>**：
   **参数：**
   **<地址>**：要以进程上下文方式查看的物理分页池地址。
   - 示例：**dqp 0x12345678**：显示以进程上下文方式查看**0x12345678**地址处物理分页池的数据。

# 命令字：dqu
**基本功能**：显示以用户模式下查看的物理分页池的数据。
**基本用法**： **dqu <地址>**：
   **参数：**
   **<地址>**：要以用户模式下查看的物理分页池地址。
   示例：**dqu 0x12345678**：显示以用户模式下查看**0x12345678**地址处物理分页池的数据。

这些扩展命令在处理内存、物理地址、页表项和物理分页池时非常有用。它们提供了更多的灵活性来查看和分析各个层次的内存数据，帮助我们在调试和分析期间更全面地理解系统的内存结构和数据状态。