# 命令字：u
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于反汇编指定地址处的代码
**基本用法**：**u address L count**
**参数：**
**u address**：反汇编指定地址处的代码，默认显示10条指令。示例：**u 0x00400000**.
**u address L count**：反汇编指定地址处的代码，显示指定数量的指令。示例：**u 0x00400000 L20.**
## 示例
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_c22b00225dcb88671bf9391ad42376e3_r.png)
# 命令字：ub
**基本功能**：用于向反汇编方向相反的方向反汇编指定的地址处的代码。
**基本用法**：**ub address L count**
**参数：**
**ub address**：向指定地址的反方向进行反汇编，默认显示10条指令。示例：**ub 0x00400000**.
**ub address L count**：向指定地址的反方向进行反汇编，显示指定数量的指令。示例：**ub 0x00400000 L20**.

# 命令字：uf
**基本功能**：用于反汇编指定函数的代码。
**基本用法**：**uf module !symbol**
**参数：**
**uf module !symbol**：反汇编指定模块和符号处的函数代码。示例：**uf myapp!main.**

# 命令字：ur
**基本功能**：用于反汇编指定地址范围的代码。
**基本用法**：**ur start_address end_address**
**参数：**
**ur start_address end_address**：反汇编指定地址范围的代码。示例：**ur 0x00400000 0x00401000**.

# 命令字：ux
**基本功能**：用于反汇编并显示指定内存地址中的代码。
**基本用法**：**ux address L count**
**参数：**
**ux address**：反汇编并显示指定内存地址中的代码，默认显示10条指令。示例：**ux 0x00400000**.
**ux address L count**：反汇编并显示指定内存地址中的代码，显示指定数量的指令。示例：**ux 0x00400000 L20**.

## 用法描述
这些反汇编命令在调试过程中非常有用，可以帮助你查看代码的汇编表示，理解程序的底层执行。你可以通过指定地址来反汇编特定的代码，或者反汇编函数、范围或内存中的代码。使用这些命令，你可以深入分析代码的执行流程，检查代码逻辑或调试代码中的问题。