# 命令字：.else
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能：**用于在条件语句中指定当条件不满足时要执行的代码块。该命令通常与 **.if** 命令一起使用，用于指定条件满足和条件不满足时要执行的不同代码块。

**基本用法：**：**.else**

**.else**命令的语法如下：
**.if [条件] {
   // 如果条件满足，执行此处代码块
} .else {
   // 如果条件不满足，执行此处代码块
}**

## 用法描述

根据上述示例，如果 **eax** 寄存器等于 **0**，则打印 **"eax 等于 0"**，否则打印 **"eax 不等于 0"**。

请注意，**.else**命令必须与**.if**命令连用，用于确保条件语句的完整性。如果没有与之配对的**.if**命令，则**.else**命令将引发错误。

## 用例

```
.if (eax == 0) {
   .echo "eax 等于 0"
} .else {
   .echo "eax 不等于 0"
}
```