# 命令字 ;
**基本用法：**用于分隔单行上的多个命令。
**基本功能：** **Command1 ; Command2 [; Command3 ...]**
**参数:**
**Command1**、 **Command2**、 ...
要执行的命令。

## 用法描述
命令按顺序从左到右执行。 除非另行指定，否则单行上的所有命令都引用当前线程。 如果命令导致线程执行，则行上的剩余命令将推迟到该线程在调试事件上停止为止。

少量命令不能后跟分号，因为它们会自动将行的整个剩余部分作为参数。 其中包括 (设置别名) 、 $< (运行脚本文件) 、 $>< (运行脚本文件) ，以及以 * (注释行说明符) 标记开头的任何命令。
## 示例
以下是一个示例。 这会执行源行 123 的当前程序，输出 计数器的值，然后继续执行：
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_0bd8723213410566e895bee83b63319a_r.png)