# 命令字： *
**基本功能：**如果星号 ( * ) 字符位于命令的开头，则行的其余部分将被视为注释，即使后面出现分号也是如此。
**基本用法：** *** [any text]**

## 用法描述
令牌 * 的解析方式与任何其他调试器命令一样。 因此，如果要在另一个命令之后创建注释，则必须在 * 标记前面加上分号。

标记 * 将导致忽略行的其余部分，即使该标记后面出现分号也是如此。 这不同于 $$ (注释说明符) ，后者创建一个可以用分号终止的注释。

## 示例
例如，以下命令将显示 **eax** 和 **ebx**，但不显示 **ecx**：
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_7a91996abd98a8b2f626ada32636ae9d_r.png)
不会以任何方式处理以 * 或 **$$** 标记为前缀的文本。 如果要执行远程调试，在调试服务器中输入的注释在调试客户端中将不可见，反之亦然。 如果要使注释文本以各方可见的方式显示在调试器命令窗口中，则应使用 **.echo (Echo Comment)** 。