# 命令字：ld
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于列举和加载指定模块的符号文件。符号文件包含了调试所需的信息，如函数名、变量名和行号等，使得在调试过程中能够更容易地理解程序的状态和行为。
**基本用法**：**ld ModuleName [/f FileName]**
**参数：**
**Module**：列举或加载指定模块的符号文件。
如果不指定 **Module** 参数，将列举所有已加载模块的符号文件。
   示例：
**ld**: 列举所有已加载模块的符号文件。
**ld MyModule.dll**: 列举或加载指定模块 **"MyModule.dll"** 的符号文件。
**ld *[]**：列举或加载所有未加载的符号文件。
**ld -v**：显示详细的符号加载信息。

**"ld"**命令的输出将包含每个模块的加载状态和符号文件的路径。常见的符号加载状态包括：

 **"deferred"**：符号文件将在需要时延迟加载。
 **"pdb missing"**：未找到符号文件。
 **"dbg missing"**：未找到调试信息文件。
 **"export symbols"**：仅使用导出的符号。

例如，以下是使用"ld"命令列举已加载模块的符号文件的示例输出：
**Image name: MyModule.dll
Loaded: MyModule.dll
Symbol search path is: srv*
Symbols loaded for MyModule.dll**

## 用法描述
加载符号文件非常重要，因为它提供了更准确和详细的调试信息。可以使用"ld"命令列举、加载和更新符号文件，以确保正确的调试环境。请注意，为了正确加载符号文件，需要配置符号搜索路径以指定符号文件的位置。