# 命令字： !sym
**基本功能：**扩展控制干扰符号加载和符号提示。
**基本用法：**
**!sym 
!sym noisy 
!sym quiet 
!sym prompts 
!sym prompts off**

**参数：**
**noisy**
激活干扰符号加载。

**quiet**
停用干扰符号加载。

**prompts**
允许在 **SymSrv** 收到身份验证请求时显示身份验证对话框。

**prompts off**
当 **SymSrv** 收到身份验证请求时，禁止显示所有身份验证对话框。 这可能会导致 **SymSrv** 无法通过 **Internet** 访问符号。

## 用法描述
如果使用了不带参数的 **!sym** 扩展，则会显示干扰符号加载和符号提示的当前状态。

**!sym noisy** 和 **!sym quiet** 扩展控制干扰符号加载。 有关详细信息以及显示和更改此选项的其他方法，请参阅 **SYMOPT_DEBUG**。

**!sym** 提示和 **!sym** 提示关闭扩展控制在**SymSrv** 遇到身份验证请求时是否显示身份验证对话框。 这些命令后跟 **.reload** (重载模块) 才能生效。 身份验证请求可能由代理服务器、**Internet** 防火墙、智能卡读取器和安全网站发送。 有关详细信息以及更改此选项的其他方法，请参阅 防火墙和代理服务器。

注意 干扰符号加载不应与干扰源加载混淆 **--** 由 **.srcnoisy** (干扰源加载) 命令控制。