# 命令字：wrmsr
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于将一个模型特定寄存器（Model Specific Register，MSR）的值写入处理器。
**基本用法**：**wrmsr msr value**
**参数**:
**msr**：表示要写入的 MSR 的编号或名称。
**value**：表示要写入的 MSR 的具体值。
要使用 **"wrmsr"** 命令，你需要具有管理员权限。

#### 下面是一些示例使用 **"wrmsr"** 命令的情况：

写入 **MSR** 编号 **0x1A0** 的值为 **0x00000000ABCDEF01**：

**wrmsr 0x1A0 0x00000000ABCDEF01**

写入 **MSR** 名称 **IA32_SYSENTER_EIP** 的值为 **0xFFFFFFFF**：

**wrmsr IA32_SYSENTER_EIP 0xFFFFFFFF**

## 用法描述
通过使用 "wrmsr" 命令，你可以直接写入指定 MSR 的值，以修改处理器的内部寄存器。然而，使用此命令时需要非常小心，确保你知道何时、为什么以及如何修改 MSR 值，并且只在了解其潜在影响的情况下进行操作。错误的 MSR 设置可能导致系统不稳定或性能下降。请确保在使用 "wrmsr" 命令时谨慎行事，并参考处理器文档和相关资料以获得更多信息。