# 命令字：RDMSR
**基本功能**：读系统寄存器
**基本语法**：rdmsr Address | name | *|?
## 用法描述
参数可以是寄存器的地址，名字，或者包含*？的名字。
当参数为字符时，NDB会搜索data目录下的XML数据文件，寻找对应名字的寄存器。

如果，参数中，包含*或者？，那么NDB会显示所有匹配的寄存器，比如：
rdmsr TT*
All registers matched with TT*:
        TTBR0_EL1
        TTBR0_EL2
        TTBR0_EL3
        TTBR1_EL1
        TTBR1_EL2

当NDB成功读取寄存器的取值后，NDB可以根据读到的值来解析每个字段。比如：
rdmsr TTBR0_EL1
msr[182000] = 00000000`02804000

Bit[63]-[48] is 0b0000000000000000:
Field Name:ASID
Field Description:An ASID for the translation table base address. The TCR_EL1.A1 field selects either TTBR0_EL1.ASID or TTBR1_EL1.ASID.
If the implementation has only 8 bits of ASID, then the upper 8 bits of this field are RES0.


----------------------------------------------

Bit[47]-[5] is 0b0000000000000000000000101000000001000000000:
Field Name:BADDR[42:0]
Field Description:This field is bits[42:0] of BADDR[50:0].
See BADDR[50:43] for the field description.