# 命令字：k
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于显示当前线程的函数调用堆栈。它会列出堆栈中的每个函数以及它们的参数和返回值。
**基本用法**： **k**：
**参数：**
**示例：**
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_c7e9117fc4ac22cb60c62bff5905ae55_r.png)

# 命令字：kb
**基本功能**：用于显示详细的堆栈信息，包括函数地址和调用栈偏移。
**基本用法**：**kb**
**示例：**
   ![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_b78a014c8743341ffb5d75bbf134da44_r.png)

# 命令字: kc
**基本功能：**显示堆栈回溯
**基本用法：** **kc**
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_5da3c7ec79ad39db73ca767bc6f0ce70_r.png)

# 命令字：kd
**基本功能**：用于显示内核模式下的函数调用堆栈。
**基本用法**：**kd**
**示例：**
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_7f5d25fb5d0a9206cd07c7eb64ca81ae_r.png)

# 命令字：kp
**基本功能**：用于显示当前线程的函数调用堆栈，并以逆序列出函数。
**基本用法**：**kp**
**示例：**
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_3a5b4d75123acbc97353b412f79bf701_r.png)

# 命令字：kP
**基本功能**：用于显示函数的源代码和符号信息（如果可用）。
**基本用法**：**kP**
   示例：
**0:000> kP**
**# Call Site**
**00 ntdll!NtWaitForMultipleObjects+0x15**
**c:\src\ntdll\wait.c @ 338**
**01 KERNELBASE!WaitForMultipleObjectsEx+0x100**
**c:\src\kernelbase\sync\wait.c @ 1827**
**...**

# 命令字：kv
**基本功能**：用于显示当前线程的函数调用堆栈，包含源代码信息和堆栈帧指针。
**基本用法**：**kv**
**示例：**
![](https://www.nanocode.cn/wiki/uploads/ndb_usages/images/m_03f5f8387bab1a197e4441caa6e1f913_r.png)

## 用法描述
以上是这些命令的简要说明，使用这些命令可以帮助你进行Windows调试和故障排除。更多关于**NDB**的信息和用法可以在官方文档或相关技术资源中找到。