# 命令字：j
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于设置代码的条件断点
**基本用法**： **j address "expression"**：
**参数：**

**address**是要设置断点的代码地址，而**expression**是用于判断是否触发断点的条件表达式。
当程序执行到指定地址时，**NDB**将会评估条件表达式。如果表达式为真，则触发断点，程序会停止执行并进入调试模式，允许你进行进一步的分析和调试。

下面是一个使用示例：
**0:000> j MyModule!MyFunction "eax == 0"**

上述命令将在**MyModule**中的**MyFunction**函数的开头设置一个断点，并且断点条件为**eax**寄存器是否等于0。
## 用法描述
除了使用条件表达式，你还可以使用其他类型的断点，如硬件断点、内存断点等，以满足不同的调试需求。