# 命令字：n
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：执行程序指令或跳转到指定地址执行程序。你可以选择单步执行或设置断点来控制程序的执行。
**基本用法**：**n [Options]**
**参数：**
**-g**：继续执行程序，直到遇到断点或异常。
**-p**：执行指定的源代码行（对于已加载符号的情况）。
**-v**：执行指定指令的反汇编代码。
**-bc**：清除当前执行点的断点（如果有）。
**-t**：执行跟踪指定的执行点。
**-s**：设置指定执行点为下一个单步执行点（Step Over）。
**-w**：在当前函数的终止处设置断点。
**-bp Address**：设置指定地址处的断点。

示例:
**n**：单步执行，逐条执行程序指令，可用于逐步调试程序。
**n -g**：继续执行程序，直到遇到断点或异常。
**n -p MyFile.cpp:123**：执行源代码中的第 123 行，如果已加载符号文件。
**n -s**：设置当前执行点为下一个单步执行点（Step Over）。
**n -t**：执行跟踪指定的执行点，可用于追踪程序的执行流程。
**n -bp 0x12345678**：在指定地址处设置断点。

## 用法描述
"n"命令允许你控制程序的执行流程，可以逐步执行程序指令、单步跟踪、设置断点等，以进行调试和分析。它对于理解程序的执行路径、查找错误和进行代码分析非常有用。

请注意，在使用"n"命令之前，确保已正确加载符号文件和设置断点（如果需要）。