# 命令字：p
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：
如果p后面有参数，则执行gdb的print逻辑，评估C/C++表达式
如果p后面没有参数，则执行单步动作（遵循windbg的传统），与gdb中的n等价
**基本用法**：**p **
**参数：**

示例用法：
**p **：则执行单步动作（没有参数时）；
**p @x**：打印变量的值，类似于GDB的p命令（有参数时）；
以下是p命令的一些不同使用场景和功能：
##  打印不同类型变量的值

## 打印表达式的值

## 打印结构体或类的成员

## 打印指针指向的内容

## 打印数组的元素

##  使用格式说明符

## 打印动态分配的内存

## 进行强制类型转换

# 命令字：pa
**基本功能**：用于显示当前程序的所有符号地址和类型信息。
**基本用法**：**pa**
**参数：**
示例用法：
**pa**：显示当前程序的所有符号地址和类型信息。

# 命令字：pc
**基本功能**：用于显示指定符号的函数调用图。
**基本用法**：**pc Symbol**
**参数：**
示例用法：
**pc MyNamespace::MyFunction**：显示指定符号的函数调用图。


# 命令字：pt
**基本功能**：用于显示当前线程的堆栈帧和函数调用信息。
**基本用法**：**pt**
**参数：**
示例用法：
**pt**：显示当前线程的堆栈帧和函数调用信息。


## 用法描述
这些命令提供了不同方式的符号信息查看。你可以使用**"p"**命令查看单个符号的地址和类型信息，**"pa"**命令查看所有符号的地址和类型信息，**"pc"**命令查看函数调用图，以及**"pt"**命令查看当前线程的堆栈帧和函数调用信息。

这些命令对于调试和分析程序非常有用，可以帮助你了解代码中的符号信息、函数调用关系和堆栈信息。

请注意，对于这些命令，确保已正确加载并配置符号文件，以便获取正确的符号信息。