# 命令字：so
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于加载一个调试器扩展（**Debugger Extension**）的命令。调试器扩展是一种软件模块，它可以为**NDB**提供额外的功能和命令，用于辅助调试和分析。
**基本用法**：**so ExtensionDLL**
**参数：**
**ExtensionDLL**：指定要加载的调试器扩展的**DLL**文件。

示例用法：
**so myextension.dll**：加载名为**myextension.dll**的调试器扩展。

## 用法描述
使用**"so"**命令加载调试器扩展后，扩展中定义的命令将会在**NDB**中可用。你可以通过输入扩展定义的命令来调用扩展提供的功能。

调试器扩展通常由第三方开发者编写，它们可以提供各种功能，如自定义命令、额外的调试信息显示等。扩展常用于调试特定类型的应用程序或硬件。

请注意，在加载调试器扩展前，确保**DLL**文件位于正确的位置，并符合调试器的要求。

此外，可以使用**"lml"**命令列出当前加载的调试器扩展。