# 命令字：sq
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于设定硬件断点。硬件断点是一种用于调试目的的断点，它会在程序执行到指定的内存地址时暂停程序的执行。
**基本用法**：**sq address [[+|-]length] [options]**
**参数：**
**address**表示要设置断点的内存地址，**length**表示断点的长度（默认为1字节），**options**是可选参数，用于指定断点的选项。

以下是一些常用的**options**参数：

**/p**: 设置断点为执行断点，在指定地址的基础上执行一次后会触发断点。
**/d**: 设置断点为数据断点，在指定地址的基础上当数据改变时触发断点。
**/i**: 设置断点为I/O端口断点，在指定的I/O端口地址进行读/写操作时触发断点。
**/w**: 设置断点为写断点，在指定地址的基础上写入数据时触发断点。


## 用法描述
使用"sq"命令可以设置多个硬件断点。可以使用"sx"命令检查所有设置的断点，"sc"命令清除所有断点，或者使用"s"命令执行程序并触发硬件断点。

需要注意的是，硬件断点的数量是有限的，具体取决于调试目标的处理器架构和调试工具的限制。