# 命令字：sx
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：显示当前进程的异常列表和所有非异常事件的列表，并显示调试器对每个异常和事件的默认行为
**基本用法**：**sx 或 sx *（显示所有异常和事件）**
**说明：**
此命令不提供直接修改异常或事件处理行为的功能，但它是了解当前设置和可用选项的基础


# 命令字：sxd
**基本功能**：禁用对特定异常或事件的中断，允许程序在遇到这些异常或事件时继续执行。
**基本用法**：**sxd {Exception|Event|*}**
**说明：**
这通常用于在调试过程中排除已知的无害异常或事件，以避免不必要的调试中断

# 命令字：sxe
**基本功能**：设置调试器在第一次机会（即异常首次发生时）中断执行
**基本用法**：
sxe {Exception|Event|*} [-c "Cmd1"] [-c2 "Cmd2"]
{Exception|Event|*}：指定要设置的异常或事件。
[-c "Cmd1"]：可选，指定在异常或事件第一次发生时执行的命令。
[-c2 "Cmd2"]：在某些版本的WinDbg中可能不支持，指定在异常或事件第一次未处理时执行的命令。
**说明**：这允许调试者在异常或事件发生的早期阶段介入，以便更准确地诊断问题。


# 命令字：sxi
**基本功能**:设置调试器在遇到特定异常或事件时忽略它们，既不中断执行也不显示任何消息。
**基本用法**：
**sxi {Exception|Event|*}
**说明**：这用于在调试过程中忽略不需要关注的异常或事件，以减少调试噪音。

# 命令字：sxn
**基本功能**:
**基本用法**：
在某些上下文中，它可能被视为与sxd类似，但具体行为可能因版本或上下文而异
**建议**：如果遇到sxn，请参考具体的WinDbg版本或上下文来确定其行为，或者将其视为sxd的一个变体

# 命令字：sxr
**基本功能**:将所有异常和事件筛选器的状态重置为默认设置。
**基本用法**：
**sxr**
**说明**：这允许调试者快速恢复到调试器的默认行为设置，以便在需要时重新开始调试会话

## 用法描述
这些命令为调试器提供了强大的异常和事件处理能力，允许调试者根据需要自定义调试器的行为。通过合理使用这些命令，调试者可以更加高效地控制调试过程，从而更快地定位和解决问题