# 命令字：|
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：允许将一个命令的输出作为另一个命令的输入。例如，你可以使用它来在执行第一个命令后，将输出结果传递给另一个命令进行进一步处理。
**基本用法**：**z [options] address pattern**

**command1 | command2**
这个命令分割符允许将一个命令的输出作为另一个命令的输入。例如，你可以使用它来在执行第一个命令后，将输出结果传递给另一个命令进行进一步处理。

示例：

**!process | !grep notepad.exe**

以上命令首先执行**"!process"**命令，用于列出所有进程。然后将该命令的输出通过**"|"**传递给**"!grep notepad.exe"**命令进行过滤，以找到包含字符串**"notepad.exe"**的进程。

# 命令字：|< n > s

**基本功能**：用来限制反汇编指令的数量。

示例：

**u |5 s**

以上命令将执行反汇编指令（默认为当前指令），并将结果通过**"|"**传递给**"s"**命令（查找字符串）。限定了 **"|5"**，因此只显示前面的5个指令。

## 用法描述
使用**"|"**分割符可以将多个命令串联起来，用于复杂的调试场景和数据处理需求。它提供了一种灵活的方式来处理和分析命令的输出。同时，**"|n s"**格式允许你在反汇编指令时限制输出的数量，使得反汇编过程更加精细化。