# 命令字：|#
想了解更多请看https://www.nanocode.cn/#/ndbCmds
**基本功能**：用于引用先前执行的命令的结果。例如，如果你执行了一个命令并希望在稍后引用它的输出，可以使用**"|#"**命令。这种用法对于保存命令输出并在需要时进行后续处理非常有用。

**|#**命令用于引用先前执行的命令的结果。例如，如果你执行了一个命令并希望在稍后引用它的输出，可以使用**|#**命令。这种用法对于保存命令输出并在需要时进行后续处理非常有用。示例如下：

**!process
|# .echo The result of !process command is:** 

以上命令首先执行**!process**命令以列出所有进程，然后使用**|#**引用命令输出，在第二条命令中进行处理和打印。

# 命令字：|.
**基本功能**：用于将命令输出作为输入传递给另一个命令。这在需要连续处理命令结果时非常有用。
示例:
**!process | .foreach /pS 0 /ps 1 (addr {!grep notepad.exe}) { .echo Found notepad.exe at address: addr }**

以上命令首先使用**"!process"**命令列出所有进程，并通过**"|"**将输出传递给**".foreach"**命令来迭代处理。在**".foreach"**命令中，使用**"|."**将输出作为输入传递给**"!grep notepad.exe"**命令进行字符串匹配。如果找到匹配项，将使用**".echo"**打印找到的进程地址。
# 命令字：|< n >
**基本功能**：用于将命令输出作为输入传递给另一个命令。这在需要连续处理命令结果时非常有用。
**参数**":**"n"**可以是数字或符号**"."**（点），表示当前指令。示例如下：
**.u |5**
以上命令执行反汇编指令，并使用**"|5"**将输出限制为显示前五条指令。

## 用法描述
这些特殊用法提供了在处理命令输出时更加灵活和精确的方式。你可以引用先前命令的结果，将输出作为输入传递给其他命令，并限制输出结果的数量，以满足特定的调试和分析需求。